<?php
  if(!$fd = fopen('test.txt', 'tryb_otwarcia')){
    echo "Nie mogę otworzyć pliku test.txt.";
  }
  else{
    if(!flock($fd, LOCK_EX)){
      echo "Nie mogę założyć blokady pliku test.txt.";
    }
    else{
      //
      //operacje na pliku
      //
    }
    if(!flock($fd, LOCK_UN)){
      echo "Nie mogę zdjąć blokady pliku test.txt.";
    }
    fclose($fd);
  }
?>

